/**
  * Testovaci trida pouzita pro test dvanacteho
  * demonstracniho JVM TI agenta.
  */
public class Test12 {

    /**
      * Test zachyceni vyjimky typu ArrayIndexOutOfBoundsException.
      */
    public static void method1() {
        int[] a = {1,2,3};
        try {
            a[-1] = 10;
        }
        catch (Exception e) {
            e.printStackTrace();
        }
    }

    /**
      * Test zachyceni vyjimky typu ArithmeticException.
      */
    public static int method2(int a, int b) {
        try {
            return a/b;
        }
        catch (Exception e) {
            e.printStackTrace();
        }
        return -1;
    }

    /**
      * Test zachyceni vyjimky typu ClassNotFoundException.
      */
    public static Class method3(String className) {
        try {
            return Class.forName(className);
        }
        catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    /**
      * Test zachyceni vyjimky typu NullPointerException.
      */
    public static String method4(Object object) {
        try {
            return object.toString();
        }
        catch (Exception e) {
            e.printStackTrace();
        }
        return "";
    }

    /**
      * Spusteni testu.
      */
    public static void main(String[] args) {
        method1();
        method2(1, 0);
        method3("xyzzy");
        method4(null);
    }
}

